add wave -noupdate /L3_9PSG_tb/clk48
add wave -noupdate /L3_9PSG_tb/clk_main
add wave -noupdate /L3_9PSG_tb/e
add wave -noupdate /L3_9PSG_tb/clk2m
add wave -noupdate /L3_9PSG_tb/res_n
add wave -noupdate /L3_9PSG_tb/cs_n
add wave -noupdate /L3_9PSG_tb/we_n
add wave -noupdate -unsigned /L3_9PSG_tb/cycles
add wave -noupdate -hexadecimal /L3_9PSG_tb/via_addr
add wave -noupdate -hexadecimal /L3_9PSG_tb/via_wdata
add wave -noupdate -hexadecimal /L3_9PSG_tb/via_data
add wave -noupdate -unsigned /L3_9PSG_tb/phase
add wave -noupdate -hexadecimal /L3_9PSG_tb/psg_adr
add wave -noupdate -hexadecimal /L3_9PSG_tb/psg_dat
add wave -noupdate /L3_9PSG_tb/snd_out_0
add wave -noupdate /L3_9PSG_tb/snd_out_1
add wave -noupdate /L3_9PSG_tb/snd_out_1
add wave -noupdate /L3_9PSG_tb/irq_p

add wave -noupdate /L3_9PSG_tb/uL3_9PSG/in_res_n

add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/cs_n
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/we_n
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/res_n
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/clk
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/prev_clk
add wave -noupdate -hexadecimal /L3_9PSG_tb/uL3_9PSG/uMY_VIA/da
add wave -noupdate -hexadecimal /L3_9PSG_tb/uL3_9PSG/uMY_VIA/da_reg
add wave -noupdate -hexadecimal {/L3_9PSG_tb/uL3_9PSG/uMY_VIA/dir[1]}
add wave -noupdate -hexadecimal {/L3_9PSG_tb/uL3_9PSG/uMY_VIA/dir[0]}
add wave -noupdate -hexadecimal {/L3_9PSG_tb/uL3_9PSG/uMY_VIA/in_data[1]}
add wave -noupdate -hexadecimal {/L3_9PSG_tb/uL3_9PSG/uMY_VIA/in_data[0]}
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/ier
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/ifr
add wave -noupdate -unsigned /L3_9PSG_tb/uL3_9PSG/uMY_VIA/t1c
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/t1c_active
add wave -noupdate -unsigned /L3_9PSG_tb/uL3_9PSG/uMY_VIA/t1l
add wave -noupdate -unsigned /L3_9PSG_tb/uL3_9PSG/uMY_VIA/t2c
add wave -noupdate /L3_9PSG_tb/uL3_9PSG/uMY_VIA/t2c_active
add wave -noupdate -unsigned /L3_9PSG_tb/uL3_9PSG/uMY_VIA/t2l

add wave -noupdate -expand -group {PSG0} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG0/adr
add wave -noupdate -expand -group {PSG0} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG0/data_in
add wave -noupdate -expand -group {PSG0} /L3_9PSG_tb/uL3_9PSG/uPSG0/cs
add wave -noupdate -expand -group {PSG0} /L3_9PSG_tb/uL3_9PSG/uPSG0/rd
add wave -noupdate -expand -group {PSG0} /L3_9PSG_tb/uL3_9PSG/uPSG0/wr
add wave -noupdate -expand -group {PSG0} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG0/out4_a
add wave -noupdate -expand -group {PSG0} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG0/out4_b
add wave -noupdate -expand -group {PSG0} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG0/out4_c
add wave -noupdate -expand -group {PSG0} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG0/out8_all

add wave -noupdate -expand -group {PSG1} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG1/adr
add wave -noupdate -expand -group {PSG1} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG1/data_in
add wave -noupdate -expand -group {PSG1} /L3_9PSG_tb/uL3_9PSG/uPSG1/cs
add wave -noupdate -expand -group {PSG1} /L3_9PSG_tb/uL3_9PSG/uPSG1/rd
add wave -noupdate -expand -group {PSG1} /L3_9PSG_tb/uL3_9PSG/uPSG1/wr
add wave -noupdate -expand -group {PSG1} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG1/out4_a
add wave -noupdate -expand -group {PSG1} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG1/out4_b
add wave -noupdate -expand -group {PSG1} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG1/out4_c
add wave -noupdate -expand -group {PSG1} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG1/out8_all

add wave -noupdate -expand -group {PSG2} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG2/adr
add wave -noupdate -expand -group {PSG2} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG2/data_in
add wave -noupdate -expand -group {PSG2} /L3_9PSG_tb/uL3_9PSG/uPSG2/cs
add wave -noupdate -expand -group {PSG2} /L3_9PSG_tb/uL3_9PSG/uPSG2/rd
add wave -noupdate -expand -group {PSG2} /L3_9PSG_tb/uL3_9PSG/uPSG2/wr
add wave -noupdate -expand -group {PSG2} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG2/out4_a
add wave -noupdate -expand -group {PSG2} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG2/out4_b
add wave -noupdate -expand -group {PSG2} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG2/out4_c
add wave -noupdate -expand -group {PSG2} -hexadecimal /L3_9PSG_tb/uL3_9PSG/uPSG2/out8_all
